Bug 1287486 - Add libx11-xcb-dev to the list of required packages to build on Ubuntu, and sort the list. r=gps
authorPaul Adenot <paul@paul.cx>
Mon, 18 Jul 2016 17:52:53 +0200
changeset 345723 bb8c7f43c8011d8d86cf36fcc8561962bdbbf0ac
parent 345722 162c0295a1203a6f6aab60ed613cd1bb70d10670
child 345724 777e1b279e39612fd7d86c5d9e886b4ed5a625a0
push id6389
push userraliiev@mozilla.com
push dateMon, 19 Sep 2016 13:38:22 +0000
treeherdermozilla-beta@01d67bfe6c81 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersgps
bugs1287486
milestone50.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1287486 - Add libx11-xcb-dev to the list of required packages to build on Ubuntu, and sort the list. r=gps MozReview-Commit-ID: GqSSpfT3vlm
python/mozboot/mozboot/debian.py
--- a/python/mozboot/mozboot/debian.py
+++ b/python/mozboot/mozboot/debian.py
@@ -49,26 +49,27 @@ class DebianBootstrapper(BaseBootstrappe
     # These are common packages for building Firefox for Desktop
     # (browser) for all Debian-derived distros (such as Ubuntu).
     BROWSER_COMMON_PACKAGES = [
         'libasound2-dev',
         'libcurl4-openssl-dev',
         'libdbus-1-dev',
         'libdbus-glib-1-dev',
         'libgconf2-dev',
+        'libgtk-3-dev',
         'libgtk2.0-dev',
-        'libgtk-3-dev',
         'libiw-dev',
         'libnotify-dev',
         'libpulse-dev',
+        'libx11-xcb-dev',
         'libxt-dev',
         'mesa-common-dev',
         'python-dbus',
+        'xvfb',
         'yasm',
-        'xvfb',
     ]
 
     # Subclasses can add packages to this variable to have them installed.
     BROWSER_DISTRO_PACKAGES = []
 
     # These are common packages for building Firefox for Android
     # (mobile/android) for all Debian-derived distros (such as Ubuntu).
     MOBILE_ANDROID_COMMON_PACKAGES = [